Module org.jfree.chart3d
Package org.jfree.chart3d.marker

# Enum Class MarkerDataType

java.lang.Object
java.lang.Enum<MarkerDataType>
org.jfree.chart3d.marker.MarkerDataType

All Implemented Interfaces:
  `Serializable`, `Comparable<MarkerDataType>`, `Constable`

public enum MarkerDataType extends Enum<MarkerDataType>
An enumeration of the different types of `MarkerData`.

Since:
  1.2

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RANGE`
A value range.
`VALUE`
A single value.

## Method Summary

Modifier and Type
Method
Description
`static MarkerDataType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MarkerDataType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VALUE

public static final MarkerDataType VALUE
A single value.

### RANGE

public static final MarkerDataType RANGE
A value range.

## Method Details

### values

public static MarkerDataType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MarkerDataType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null